oracle.xml.binxml

## Interface BinXMLStream

    public interface BinXMLStream

This interface represents the binary XML Stream object. A Decoder or Encoder can be created from the binary XML stream. Otherise its mostly an opaque object.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close internal data resources created by the stream.
`void` `closeAll()` Close all data resources associate with this stream including external plug-in data resources.
`BinXMLDecoder` `getDecoder()` Factory method to get the BinXMLDecoder object associated with this binary stream.
`BinXMLEncoder` `getEncoder()` Factory method to get the BinXMLEncoder object associated with this binary stream.

### Method Detail

#### getEncoder

    BinXMLEncoder getEncoder()
                      throws BinXMLException

Factory method to get the BinXMLEncoder object associated with this binary stream. Only getEncoder() or getDecoder() can be called on a stream but not both.

Returns:
  BinXMLEncoder object for encoding to this binary stream
Throws:
  `BinXMLException` - Raised for any errors encountered

#### getDecoder

    BinXMLDecoder getDecoder()
                      throws BinXMLException

Factory method to get the BinXMLDecoder object associated with this binary stream. Only getEncoder() or getDecoder() can be called on a stream but not both.

Returns:
  BinXMLDecoder object for decoding from this binary stream
Throws:
  `BinXMLException` - Raised for any errors encountered

#### close

    void close()

Close internal data resources created by the stream. This method does not close external resources that are passed in to create this stream.

#### closeAll

    void closeAll()
           throws java.io.IOException

Close all data resources associate with this stream including external plug-in data resources.

Throws:
  `java.io.IOException` - Raised for any IO errors encountered

Copyright © 2003, 2020, Oracle and/or its affiliates.